#include "StateManager.h"
#include "R0_Init_State.h"

namespace PamOffLineSW
{

	StateManager StateManager::instance;

	StateManager::StateManager()
	{
	}
	
	StateManager::~StateManager()
	{
	}
	
	void StateManager::changeState(State* state)
	{
		currentState=state;
	}	
	
	void StateManager::init()
	{
		changeState(&R0_Init_State::getInstance());
		//	currentState= &R0_Init_State::getInstance();		
	}

	State* StateManager::getCurrentState()
	{
		return currentState;	
	}
	
	StateManager& StateManager::getInstance()
	{
		return instance;
	}

}
